MKIMAPDCERT(8)

NAME
mkimapdcert - create a test SSL certificate for IMAP over SSL

SYNOPSIS

/usr/sbin/mkimapdcert

DESCRIPTION

IMAP over SSL requires a valid, signed, X.509 certificate. The default location for the certificate file is /usr/share/courier-imap/imapd.pem. mkimapdcert generates a self-signed X.509 certificate, mainly for testing. For production use the X.509 certificate must be signed by a recognized certificate authority, in order for mail clients to accept the certificate.

/usr/share/courier-imap/imapd.pem must be owned by the no user and have no group or world permissions. The mkimapdcert command will enforce this. To prevent an unfortunate accident, mkimapdcert will not work if /usr/share/courier-imap/imapd.pem already exists.

mkimapdcert requires OpenSSL to be installed.

FILES

/usr/share/courier-imap/imapd.pem
    X.509 certificate.

/etc/courier-imap/imapd.cnf
    Parameters used by OpenSSL to create the X.509 certificate.

SEE ALSO

courier(8)